Bug 866225 - nfs-utils RPM should have a dependance on quota RPM to get rquotad
nfs-utils RPM should have a dependance on quota RPM to get rquotad
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 14:04 EDT by r3obh
Modified: 2015-04-01 08:27 EDT (History)
4 users (show)

See Also:
Fixed In Version: nfs-utils-1.2.6-13.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 01:10:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description r3obh 2012-10-14 14:04:28 EDT
* Description of problem:
Starting nfs-server.service (from nfs-utils RPM) tries to start nfs-rquotad.service (also from nfs-utils RPM) by running /usr/sbin/rpc.rquotad (from quota RPM).  But the nfs-utils RPM does not have a dependance on the quota RPM, which it presumably should to avoid a lot of digging when NFS mysteriously won't start because quota is not installed.

* Version-Release number of selected component (if applicable):
nfs-utils-1.2.6-3.fc17.x86_64
quota-4.00-5.fc17.x86_64

* How reproducible:
Always

* Steps to Reproduce:
1. yum remove quota
2. yum install nfs-utils
3. systemctl restart nfs-server.service
4. systemctl -a | grep nfs-
5. tail -2 /var/log/messages

* Actual results:
[root@localhost tmp]# systemctl restart nfs-server.service
[root@localhost tmp]# systemctl -a | grep nfs-
nfs-idmap.service         loaded active   running       NFSv4 ID-name mapping daemon
nfs-lock.service          loaded active   running       NFS file locking service.
nfs-mountd.service        loaded active   running       NFS Mount Daemon
nfs-rquotad.service       loaded inactive dead          NFS Remote Quota Server
nfs-server.service        loaded active   exited        NFS Server
[root@localhost tmp]# tail -2 /var/log/messages
Oct 14 14:01:20 localhost systemd[11665]: Failed at step EXEC spawning /usr/sbin/rpc.rquotad: No such file or directory
Oct 14 14:01:20 localhost rpc.mountd[11667]: Version 1.2.6 starting


* Expected results:
# systemctl restart nfs-server.service
[root@localhost tmp]# systemctl -a | grep nfs-
nfs-idmap.service         loaded active   running       NFSv4 ID-name mapping daemon
nfs-lock.service          loaded active   running       NFS file locking service.
nfs-mountd.service        loaded active   running       NFS Mount Daemon
nfs-rquotad.service       loaded active   running       NFS Remote Quota Server
nfs-server.service        loaded active   exited        NFS Server


* Additional info:
I'll be amazed if anybody does anything about this other than saying it's NOTABUG as usual.  Enjoy.
Comment 1 Petr Pisar 2012-10-17 05:16:40 EDT
I don't like this solution. Wouldn't be better to move nfs-rquotad.service to quota package and drop the dependency?
Comment 2 Jeff Layton 2012-10-17 06:21:32 EDT
Yes, I agree with Petr here. If that package is shipping the binary then it should be shipping the systemd file for it too. What if someone (pathologically) wants to just run rquotad and nothing else? You can't do it now without having nfs-utils installed...

Steve would probably need to also change the nfs-server.service file not to Require=nfs-rquotad.service since that will fail if quota isn't installed.
Instead, maybe change the nfs-rquotad.service to have a RequiredBy=nfs-server.service directive?
Comment 3 Steve Dickson 2012-11-08 10:14:50 EST
(In reply to comment #1)
> I don't like this solution. Wouldn't be better to move nfs-rquotad.service
> to quota package and drop the dependency?
I see your point.. but there would still need to be some dependency since the nfs-rquotad.service has to be started when the nfs server is started...

In the future, you would like to send me some patches that remove the nfs-rquotad.service from nfs-utils and add it to quota as well as figure out the 
synchronisation of starting both services, I'll add them... but for this particular bz I think easiest solution is to simply add quote to the Requires: line like I have...
Comment 4 Fedora Update System 2012-11-08 13:03:06 EST
nfs-utils-1.2.6-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/nfs-utils-1.2.6-6.fc17
Comment 5 Fedora Update System 2012-11-09 12:59:33 EST
Package nfs-utils-1.2.6-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nfs-utils-1.2.6-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17858/nfs-utils-1.2.6-6.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-11-29 01:10:20 EST
nfs-utils-1.2.6-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.